|  | Home · All Classes · Modules

# Qt.DockWidgetAreas Class Reference
[QtCore module]

### Methods

- __init__ (self, DockWidgetAreas f)
- __init__ (self)

### Special Methods

- DockWidgetAreas __and__ (self, int mask)
- bool __eq__ (self, DockWidgetAreas f)
- DockWidgetAreas __iand__ (self, int mask)
- int __int__ (self)
- DockWidgetAreas __invert__ (self)
- DockWidgetAreas __ior__ (self, DockWidgetAreas f)
- DockWidgetAreas __ixor__ (self, DockWidgetAreas f)
- bool __ne__ (self, DockWidgetAreas f)
- int __nonzero__ (self)
- DockWidgetAreas __or__ (self, DockWidgetAreas f)
- DockWidgetAreas __xor__ (self, DockWidgetAreas f)

## Detailed Description

DockWidgetArea may be used whenever DockWidgetAreas is expected.

## Method Documentation

### DockWidgetAreas.__init__ (self, DockWidgetAreas f)

### DockWidgetAreas.__init__ (self)

### DockWidgetAreas DockWidgetAreas.__and__ (self, int mask)

### bool DockWidgetAreas.__eq__ (self, DockWidgetAreas f)

### DockWidgetAreas DockWidgetAreas.__iand__ (self, int mask)

### int DockWidgetAreas.__int__ (self)

### DockWidgetAreas DockWidgetAreas.__invert__ (self)

### DockWidgetAreas DockWidgetAreas.__ior__ (self, DockWidgetAreas f)

### DockWidgetAreas DockWidgetAreas.__ixor__ (self, DockWidgetAreas f)

### bool DockWidgetAreas.__ne__ (self, DockWidgetAreas f)

### int DockWidgetAreas.__nonzero__ (self)

### DockWidgetAreas DockWidgetAreas.__or__ (self, DockWidgetAreas f)

### DockWidgetAreas DockWidgetAreas.__xor__ (self, DockWidgetAreas f)